## WinPython 3.9.4.0 

The following packages are included in WinPython-64bit v3.9.4.0 .

### Tools

Name | Version | Description
-----|---------|------------
[Nodejs](https://nodejs.org) | v14.16.1 | a JavaScript runtime built on Chrome's V8 JavaScript engine
[npmjs](https://www.npmjs.com/) | 6.14.12 | a package manager for JavaScript
[Pandoc](https://pandoc.org/) | 2.3 | a universal document converter

### Python packages

Name | Version | Description
-----|---------|------------
[Python](http://www.python.org/) | 3.9.4 | Python programming language with standard library
[adodbapi](https://pypi.org/project/adodbapi) | 2.6.1.3 | A pure Python package implementing PEP 249 DB-API using Microsoft ADO.
[affine](https://pypi.org/project/affine) | 2.3.0 | Matrices describing affine transformation of the plane.
[aiofiles](https://pypi.org/project/aiofiles) | 0.6.0 | File support for asyncio.
[aiohttp](https://pypi.org/project/aiohttp) | 3.7.4.post0 | Async http client/server framework (asyncio)
[aiosqlite](https://pypi.org/project/aiosqlite) | 0.17.0 | asyncio bridge to the standard sqlite3 module
[alabaster](https://pypi.org/project/alabaster) | 0.7.12 | A configurable sidebar-enabled Sphinx theme
[altair](https://pypi.org/project/altair) | 4.1.0 | Altair: A declarative statistical visualization library for Python.
[altair_data_server](https://pypi.org/project/altair_data_server) | 0.4.1 | A background data server for Altair charts.
[altair_transform](https://pypi.org/project/altair_transform) | 0.2.0 | A python engine for evaluating Altair transforms.
[altair_widgets](https://pypi.org/project/altair_widgets) | 0.2.2 | Altair Widgets: An interactive visualization for statistical data for Python.
[altgraph](https://pypi.org/project/altgraph) | 0.17 | Python graph (network) package
[amply](https://pypi.org/project/amply) | 0.1.4 | Amply allows you to load and manipulate AMPL/GLPK data as Python data structures
[aniso8601](https://pypi.org/project/aniso8601) | 9.0.1 | A library for parsing ISO 8601 strings.
[ansiwrap](https://pypi.org/project/ansiwrap) | 0.8.4 | textwrap, but savvy to ANSI colors and styles
[anyio](https://pypi.org/project/anyio) | 2.2.0 | High level compatibility layer for multiple asynchronous event loop implementations
[appdirs](https://pypi.org/project/appdirs) | 1.4.4 | A small Python module for determining appropriate platform-specific dirs, e.g. a "user data dir".
[argon2_cffi](https://pypi.org/project/argon2_cffi) | 20.2.0.dev0 | The secure Argon2 password hashing algorithm.
[arrow](https://pypi.org/project/arrow) | 1.0.3 | Better dates & times for Python
[asciitree](https://pypi.org/project/asciitree) | 0.3.3 | Draws ASCII trees.
[asgi_csrf](https://pypi.org/project/asgi_csrf) | 0.6.1 | ASGI middleware for protecting against CSRF attacks
[asgiref](https://pypi.org/project/asgiref) | 3.3.4 | ASGI specs, helper code, and adapters
[asteval](https://pypi.org/project/asteval) | 0.9.23 | Safe, minimalistic evaluator of python expression using ast module
[astroid](https://pypi.org/project/astroid) | 2.5.3 | An abstract syntax tree for Python with inference support.
[astroml](https://pypi.org/project/astroml) | 1.0.1 | tools for machine learning and data mining in Astronomy
[astropy](https://pypi.org/project/astropy) | 4.2.1 | Community-developed python astronomy tools
[async_generator](https://pypi.org/project/async_generator) | 1.10 | Async generators and context managers for Python 3.5+
[async_timeout](https://pypi.org/project/async_timeout) | 3.0.1 | Timeout context manager for asyncio programs
[atomicwrites](https://pypi.org/project/atomicwrites) | 1.4.0 | Atomic file writes.
[attrs](https://pypi.org/project/attrs) | 20.3.0 | Classes Without Boilerplate
[autopep8](https://pypi.org/project/autopep8) | 1.5.5 | A tool that automatically formats Python code to conform to the PEP 8 style guide
[babel](https://pypi.org/project/babel) | 2.9.0 | Internationalization utilities
[backcall](https://pypi.org/project/backcall) | 0.2.0 | Specifications for callback functions passed in to an API
[backports_abc](https://pypi.org/project/backports_abc) | 0.5 | A backport of recent additions to the 'collections.abc' module.
[baresql](https://pypi.org/project/baresql) | 0.7.6 | playing SQL directly on Python datas
[bcrypt](https://pypi.org/project/bcrypt) | 3.1.7 | Modern password hashing for your software and your servers
[beautifulsoup4](https://pypi.org/project/beautifulsoup4) | 4.9.3 | Screen-scraping library
[binaryornot](https://pypi.org/project/binaryornot) | 0.4.4 | Ultra-lightweight pure Python package to check if a file is binary or text.
[black](https://pypi.org/project/black) | 20.8b1 | The uncompromising code formatter.
[bleach](https://pypi.org/project/bleach) | 3.3.0 | An easy safelist-based HTML-sanitizing tool.
[blinker](https://pypi.org/project/blinker) | 1.4 | Fast, simple object-to-object and broadcast signaling
[blosc](https://pypi.org/project/blosc) | 1.10.2 | Blosc data compressor
[bloscpack](https://pypi.org/project/bloscpack) | 0.16.0 | Command line interface to and serialization format for Blosc
[bokeh](https://pypi.org/project/bokeh) | 2.3.1 | Interactive plots and applications in the browser from Python
[botorch](https://pypi.org/project/botorch) | 0.4.0 | Bayesian Optimization in PyTorch
[bottleneck](https://pypi.org/project/bottleneck) | 1.3.2 | Fast NumPy array functions written in C
[bqplot](https://pypi.org/project/bqplot) | 0.12.25 | Interactive plotting for the Jupyter notebook, using d3.js and ipywidgets.
[branca](https://pypi.org/project/branca) | 0.4.2 | Generate complex HTML+JS pages with Python
[brewer2mpl](https://pypi.org/project/brewer2mpl) | 1.4.1 | Connect colorbrewer2.org color maps to Python and matplotlib
[brotli](https://pypi.org/project/brotli) | 1.0.9 | Python bindings for the Brotli compression library
[cachelib](https://pypi.org/project/cachelib) | 0.1.1 | A collection of cache libraries in the same API interface.
[cartopy](https://pypi.org/project/cartopy) | 0.18.0 | A cartographic python library with Matplotlib support for visualisation
[certifi](https://pypi.org/project/certifi) | 2020.12.5 | Python package for providing Mozilla's CA Bundle.
[cffi](https://pypi.org/project/cffi) | 1.14.5 | Foreign Function Interface for Python calling C code.
[cftime](https://pypi.org/project/cftime) | 1.4.1 | Time-handling functionality from netcdf4-python
[chardet](https://pypi.org/project/chardet) | 4.0.0 | Universal encoding detector for Python 2 and 3
[click](https://pypi.org/project/click) | 7.1.2 | Composable command line interface toolkit
[click_default_group](https://pypi.org/project/click_default_group) | 1.2.2 | Extends click.Group to invoke a command without explicit subcommand name
[click_plugins](https://pypi.org/project/click_plugins) | 1.1.1 | An extension module for click to enable registering CLI commands via setuptools entry-points.
[cligj](https://pypi.org/project/cligj) | 0.7.1 | Click params for commmand line interfaces to GeoJSON
[cloudpickle](https://pypi.org/project/cloudpickle) | 1.6.0 | Extended pickling support for Python objects
[clrmagic](https://pypi.org/project/clrmagic) | 0.0.1a2 | IPython cell magic to use .NET languages
[colorama](https://pypi.org/project/colorama) | 0.4.4 | Cross-platform colored terminal text.
[colorcet](https://pypi.org/project/colorcet) | 2.0.6 | Collection of perceptually uniform colormaps
[cookiecutter](https://pypi.org/project/cookiecutter) | 1.7.2 | A command-line utility that creates projects from project templates, e.g. creating a Python package project from a Python package project template.
[coverage](https://pypi.org/project/coverage) | 5.5 | Code coverage measurement for Python
[cryptography](https://pypi.org/project/cryptography) | 3.4.7 | cryptography is a package which provides cryptographic recipes and primitives to Python developers.
[cvxopt](https://pypi.org/project/cvxopt) | 1.2.6 | Convex optimization package
[cvxpy](https://pypi.org/project/cvxpy) | 1.1.12 | A domain-specific language for modeling convex optimization problems in Python.
[cx_freeze](https://pypi.org/project/cx_freeze) | 6.5.3 | create standalone executables from Python scripts
[cycler](https://pypi.org/project/cycler) | 0.10.0 | Composable style cycles
[cython](https://pypi.org/project/cython) | 0.29.23 | The Cython compiler for writing C extensions for the Python language.
[cytoolz](https://pypi.org/project/cytoolz) | 0.11.0 | Cython implementation of Toolz: High performance functional utilities
[dask](https://pypi.org/project/dask) | 2021.4.0 | Parallel PyData with Task Scheduling
[dask_glm](https://pypi.org/project/dask_glm) | 0.2.0 | Generalized Linear Models with Dask
[dask_labextension](https://pypi.org/project/dask_labextension) | 5.0.1 | A Jupyter Notebook server extension manages Dask clusters.
[dask_ml](https://pypi.org/project/dask_ml) | 1.8.0 | A library for distributed and parallel machine learning
[dask_searchcv](https://pypi.org/project/dask_searchcv) | 0.2.0 | Tools for doing hyperparameter search with Scikit-Learn and Dask
[databases](https://pypi.org/project/databases) | 0.4.1 | Async database support for Python.
[datasette](https://pypi.org/project/datasette) | 0.56 | A tool for exploring and publishing data
[datashader](https://pypi.org/project/datashader) | 0.12.1 | Data visualization toolchain based on aggregating into a grid
[datashape](https://pypi.org/project/datashape) | 0.5.2 | A data description language.
[db.py](https://pypi.org/project/db.py) | 0.5.4b1 | a db package that doesn't suck
[decorator](https://pypi.org/project/decorator) | 4.4.2 | Decorators for Humans
[defusedxml](https://pypi.org/project/defusedxml) | 0.7.1 | XML bomb protection for Python stdlib modules
[deprecated](https://pypi.org/project/deprecated) | 1.2.12 | Python @deprecated decorator to deprecate old python classes, functions or methods.
[deprecation](https://pypi.org/project/deprecation) | 2.1.0 | A library to handle automated deprecations
[descartes](https://pypi.org/project/descartes) | 1.1.0 | Use geometric objects as matplotlib paths and patches
[diff_match_patch](https://pypi.org/project/diff_match_patch) | 20200713 | Repackaging of Google's Diff Match and Patch libraries. Offers robust algorithms to perform the operations required for synchronizing plain text.
[distlib](https://pypi.org/project/distlib) | 0.3.1 | Distribution utilities
[distributed](https://pypi.org/project/distributed) | 2021.4.0 | Distributed scheduler for Dask
[docopt](https://pypi.org/project/docopt) | 0.6.2 | Pythonic argument parser, that will make you smile
[docrepr](https://pypi.org/project/docrepr) | 0.1.1 | docrepr renders Python docstrings in HTML
[docutils](https://pypi.org/project/docutils) | 0.16 | Docutils -- Python Documentation Utilities
[ecos](https://pypi.org/project/ecos) | 2.0.7.post1 | This is the Python package for ECOS: Embedded Cone Solver. See Github page for more information.
[emcee](https://pypi.org/project/emcee) | 3.0.2 | The Python ensemble sampling toolkit for MCMC
[entrypoints](https://pypi.org/project/entrypoints) | 0.3 | Discover and load entry points from installed packages.
[et_xmlfile](https://pypi.org/project/et_xmlfile) | 1.0.1 | An implementation of lxml.xmlfile for the standard library
[fast_histogram](https://pypi.org/project/fast_histogram) | 0.9 | Fast simple 1D and 2D histograms
[fastapi](https://pypi.org/project/fastapi) | 0.63.0 | FastAPI framework, high performance, easy to learn, fast to code, ready for production
[fasteners](https://pypi.org/project/fasteners) | 0.16 | A python package that provides useful locks.
[fastparquet](https://pypi.org/project/fastparquet) | 0.5.0 | Python support for Parquet file format
[feather_format](https://pypi.org/project/feather_format) | 0.4.1 | Simple wrapper library to the Apache Arrow-based Feather File Format
[filelock](https://pypi.org/project/filelock) | 3.0.12 | A platform independent file lock.
[fiona](https://pypi.org/project/fiona) | 1.8.19 | Fiona reads and writes spatial data files
[flake8](https://pypi.org/project/flake8) | 3.8.4 | the modular source code checker: pep8, pyflakes and co
[flask](https://pypi.org/project/flask) | 1.1.2 | A simple framework for building complex web applications.
[flask_accepts](https://pypi.org/project/flask_accepts) | 0.17.7 | Easy, opinionated Flask input/output handling with Flask-restx and Marshmallow
[flask_mail](https://pypi.org/project/flask_mail) | 0.9.1 | Flask extension for sending email
[flask_restx](https://pypi.org/project/flask_restx) | 0.3.0 | Fully featured framework for fast, easy and documented API development with Flask
[flask_session](https://pypi.org/project/flask_session) | 0.3.2 | Adds server-side session support to your Flask application
[flask_sqlalchemy](https://pypi.org/project/flask_sqlalchemy) | 2.5.1 | Adds SQLAlchemy support to your Flask application.
[flaskerize](https://pypi.org/project/flaskerize) | 0.14.0 | Python CLI build/dev tool for templated code generation and project modification. Think Angular schematics for Python.
[flit](https://pypi.org/project/flit) | 3.2.0 | A simple packaging tool for simple packages.
[flit_core](https://pypi.org/project/flit_core) | 3.2.0 | Distribution-building parts of Flit. See flit package for more information
[folium](https://pypi.org/project/folium) | 0.12.1 | Make beautiful maps with Leaflet.js & Python
[formlayout](https://pypi.org/project/formlayout) | 2.0.0a0 | The most easy way to create Qt form dialogs and widgets with Python
[fs](https://pypi.org/project/fs) | 2.4.13 | Python's filesystem abstraction layer
[fsspec](https://pypi.org/project/fsspec) | 0.8.7 | File-system specification
[future](https://pypi.org/project/future) | 0.18.2 | Clean single-source support for Python 3 and 2
[fuzzywuzzy](https://pypi.org/project/fuzzywuzzy) | 0.18.0 | Fuzzy string matching in python
[gdal](https://pypi.org/project/gdal) | 3.2.2 | GDAL: Geospatial Data Abstraction Library
[geographiclib](https://pypi.org/project/geographiclib) | 1.50 | The geodesic routines from GeographicLib
[geopandas](https://pypi.org/project/geopandas) | 0.9.0 | Geographic pandas extensions
[geopy](https://pypi.org/project/geopy) | 2.1.0 | Python Geocoding Toolbox
[geoviews](https://pypi.org/project/geoviews) | 1.9.1 | GeoViews is a Python library that makes it easy to explore and visualize geographical, meteorological, and oceanographic datasets, such as those used in weather, climate, and remote sensing research.
[gitdb](https://pypi.org/project/gitdb) | 4.0.7 | Git Object Database
[gitpython](https://pypi.org/project/gitpython) | 3.1.14 | Python Git Library
[gmpy2](https://pypi.org/project/gmpy2) | 2.0.8 | GMP/MPIR, MPFR, and MPC interface to Python 2.6+ and 3.x
[gpytorch](https://pypi.org/project/gpytorch) | 1.4.0 | An implementation of Gaussian Processes in Pytorch
[great_expectations](https://pypi.org/project/great_expectations) | 0.13.12 | Always know what to expect from your data.
[greenlet](https://pypi.org/project/greenlet) | 1.0.0 | Lightweight in-process concurrent programming
[guidata](https://pypi.org/project/guidata) | 1.7.9 | Automatic graphical user interfaces generation for easy dataset editing and display
[guiqwt](https://pypi.org/project/guiqwt) | 3.0.6 | guiqwt is a set of tools for curve and image plotting (extension to PythonQwt)
[h11](https://pypi.org/project/h11) | 0.12.0 | A pure-Python, bring-your-own-I/O implementation of HTTP/1.1
[h2](https://pypi.org/project/h2) | 4.0.0 | HTTP/2 State-Machine based protocol implementation
[h5py](https://pypi.org/project/h5py) | 2.10.0 | Read and write HDF5 files from Python
[heapdict](https://pypi.org/project/heapdict) | 1.0.1 | a heap with decrease-key and increase-key operations
[holoviews](https://pypi.org/project/holoviews) | 1.14.3 | Stop plotting your data - annotate your data and let it visualize itself.
[hpack](https://pypi.org/project/hpack) | 4.0.0 | Pure-Python HPACK header compression
[html5lib](https://pypi.org/project/html5lib) | 1.1 | HTML parser based on the WHATWG HTML specification
[httpcore](https://pypi.org/project/httpcore) | 0.12.3 | A minimal low-level HTTP client.
[httpie](https://pypi.org/project/httpie) | 2.4.0 | HTTPie - a CLI, cURL-like tool for humans.
[httpx](https://pypi.org/project/httpx) | 0.17.1 | The next generation HTTP client.
[hupper](https://pypi.org/project/hupper) | 1.10.2 | Integrated process monitor for developing and reloading daemons.
[husl](https://pypi.org/project/husl) | 4.0.3 | Human-friendly HSL
[hvplot](https://pypi.org/project/hvplot) | 0.7.1 | A high-level plotting API for the PyData ecosystem built on HoloViews.
[hypercorn](https://pypi.org/project/hypercorn) | 0.11.2 | A ASGI Server based on Hyper libraries and inspired by Gunicorn.
[hyperframe](https://pypi.org/project/hyperframe) | 6.0.0 | HTTP/2 framing layer for Python
[hypothesis](https://pypi.org/project/hypothesis) | 6.9.2 | A library for property-based testing
[ibis_framework](https://pypi.org/project/ibis_framework) | 1.4.0 | Productivity-centric Python Big Data Framework
[idlex](https://pypi.org/project/idlex) | 1.18 | IDLE Extensions for Python
[idna](https://pypi.org/project/idna) | 2.10 | Internationalized Domain Names in Applications (IDNA)
[imageio](https://pypi.org/project/imageio) | 2.9.0 | Library for reading and writing a wide range of image, video, scientific, and volumetric data formats.
[imageio_ffmpeg](https://pypi.org/project/imageio_ffmpeg) | 0.4.2 | FFMPEG wrapper for Python
[imagesize](https://pypi.org/project/imagesize) | 1.2.0 | Getting image size from png/jpeg/jpeg2000/gif file
[imbalanced_learn](https://pypi.org/project/imbalanced_learn) | 0.8.0 | Toolbox for imbalanced dataset in machine learning.
[importlib_metadata](https://pypi.org/project/importlib_metadata) | 3.10.1 | Read metadata from Python packages
[inflection](https://pypi.org/project/inflection) | 0.5.1 | A port of Ruby on Rails inflector to Python
[iniconfig](https://pypi.org/project/iniconfig) | 1.1.1 | iniconfig: brain-dead simple config-ini parsing
[intake](https://pypi.org/project/intake) | 0.6.2 | Data load and catalog system
[intervaltree](https://pypi.org/project/intervaltree) | 3.0.2 | Editable interval tree data structure for Python 2 and 3
[ipycanvas](https://pypi.org/project/ipycanvas) | 0.8.2 | Interactive widgets library exposing the browser's Canvas API
[ipykernel](https://pypi.org/project/ipykernel) | 5.5.3 | IPython Kernel for Jupyter
[ipyleaflet](https://pypi.org/project/ipyleaflet) | 0.13.6 | A Jupyter widget for dynamic Leaflet maps
[ipympl](https://pypi.org/project/ipympl) | 0.7.0 | Matplotlib Jupyter Extension
[ipython](https://pypi.org/project/ipython) | 7.22.0 | IPython: Productive Interactive Computing
[ipython_genutils](https://pypi.org/project/ipython_genutils) | 0.2.0 | Vestigial utilities from IPython
[ipython_sql](https://pypi.org/project/ipython_sql) | 0.4.1b1 | RDBMS access via IPython
[ipywidgets](https://pypi.org/project/ipywidgets) | 7.6.3 | IPython HTML widgets for Jupyter
[isort](https://pypi.org/project/isort) | 5.8.0 | A Python utility / library to sort Python imports.
[itsdangerous](https://pypi.org/project/itsdangerous) | 1.1.0 | Various helpers to pass data to untrusted environments and back.
[janus](https://pypi.org/project/janus) | 0.6.1 | Mixed sync-async queue to interoperate between asyncio tasks and classic threads
[jedi](https://pypi.org/project/jedi) | 0.17.2 | An autocompletion tool for Python that can be used for text editors.
[jinja2](https://pypi.org/project/jinja2) | 2.11.3 | A small but fast and easy to use stand-alone template engine written in pure python.
[jinja2_time](https://pypi.org/project/jinja2_time) | 0.2.0 | Jinja2 Extension for Dates and Times
[joblib](https://pypi.org/project/joblib) | 1.0.1 | Lightweight pipelining: using Python functions as pipeline jobs.
[json5](https://pypi.org/project/json5) | 0.9.5 | A Python implementation of the JSON5 data format.
[jsonpatch](https://pypi.org/project/jsonpatch) | 1.32 | Apply JSON-Patches (RFC 6902)
[jsonpointer](https://pypi.org/project/jsonpointer) | 2.1 | Identify specific nodes in a JSON document (RFC 6901)
[jsonschema](https://pypi.org/project/jsonschema) | 3.2.0 | An implementation of JSON Schema validation for Python
[julia](https://pypi.org/project/julia) | 0.5.6 | Julia/Python bridge with IPython support.
[jupyter](https://pypi.org/project/jupyter) | 1.0.0 | Jupyter metapackage. Install all the Jupyter components in one go.
[jupyter_bokeh](https://pypi.org/project/jupyter_bokeh) | 3.0.0 | A Jupyter extension for rendering Bokeh content.
[jupyter_client](https://pypi.org/project/jupyter_client) | 6.2.0 | Jupyter protocol implementation and client libraries
[jupyter_console](https://pypi.org/project/jupyter_console) | 6.4.0 | Jupyter terminal console
[jupyter_core](https://pypi.org/project/jupyter_core) | 4.7.1 | Jupyter core package. A base package on which Jupyter projects rely.
[jupyter_lsp](https://pypi.org/project/jupyter_lsp) | 1.1.4 | Multi-Language Server WebSocket proxy for Jupyter Notebook/Lab server
[jupyter_packaging](https://pypi.org/project/jupyter_packaging) | 0.9.1 | Jupyter Packaging Utilities
[jupyter_server](https://pypi.org/project/jupyter_server) | 1.6.2 | The Jupyter Server
[jupyter_server_mathjax](https://pypi.org/project/jupyter_server_mathjax) | 0.2.2 | MathJax resources as a Jupyter Server Extension.
[jupyter_server_proxy](https://pypi.org/project/jupyter_server_proxy) | 3.0.2 | Jupyter server extension to supervise and proxy web services
[jupyter_sphinx](https://pypi.org/project/jupyter_sphinx) | 0.3.2 | Jupyter Sphinx Extensions
[jupyterlab](https://pypi.org/project/jupyterlab) | 3.0.14 | The JupyterLab notebook server extension.
[jupyterlab_git](https://pypi.org/project/jupyterlab_git) | 0.30.0 | A server extension for JupyterLab's git extension
[jupyterlab_launcher](https://pypi.org/project/jupyterlab_launcher) | 0.13.1 | Jupyter Launcher
[jupyterlab_lsp](https://pypi.org/project/jupyterlab_lsp) | 3.5.0 | Language Server Protocol integration for JupyterLab
[jupyterlab_pygments](https://pypi.org/project/jupyterlab_pygments) | 0.1.2 | Pygments theme
[jupyterlab_server](https://pypi.org/project/jupyterlab_server) | 2.4.0 | JupyterLab Server
[jupyterlab_widgets](https://pypi.org/project/jupyterlab_widgets) | 1.0.0 | JupyterLab extension providing HTML widgets
[keyring](https://pypi.org/project/keyring) | 23.0.1 | Store and access your passwords safely.
[kiwisolver](https://pypi.org/project/kiwisolver) | 1.3.1 | A fast implementation of the Cassowary constraint solver
[lazy_object_proxy](https://pypi.org/project/lazy_object_proxy) | 1.6.0 | A fast and thorough lazy object proxy.
[llvmlite](https://pypi.org/project/llvmlite) | 0.36.0 | lightweight wrapper around basic LLVM functionality
[lmfit](https://pypi.org/project/lmfit) | 1.0.2 | Least-Squares Minimization with Bounds and Constraints
[locket](https://pypi.org/project/locket) | 0.2.1 | File-based locks for Python for Linux and Windows
[loky](https://pypi.org/project/loky) | 2.9.0 | A robust implementation of concurrent.futures.ProcessPoolExecutor
[lxml](https://pypi.org/project/lxml) | 4.6.3 | Powerful and Pythonic XML processing library combining libxml2/libxslt with the ElementTree API.
[lz4](https://pypi.org/project/lz4) | 3.1.3 | LZ4 Bindings for Python
[markdown](https://pypi.org/project/markdown) | 3.3.4 | Python implementation of Markdown.
[markupsafe](https://pypi.org/project/markupsafe) | 1.1.1 | Safely add untrusted strings to HTML/XML markup.
[marshmallow](https://pypi.org/project/marshmallow) | 3.10.0 | A lightweight library for converting complex datatypes to and from native Python datatypes.
[matplotlib](https://pypi.org/project/matplotlib) | 3.4.1 | Python plotting package
[mccabe](https://pypi.org/project/mccabe) | 0.6.1 | McCabe checker, plugin for flake8
[mercantile](https://pypi.org/project/mercantile) | 1.1.6 | Web mercator XYZ tile utilities
[mergedeep](https://pypi.org/project/mergedeep) | 1.3.4 | A deep merge function for &#128013;.
[metakernel](https://pypi.org/project/metakernel) | 0.27.5 | Metakernel for Jupyter
[mistune](https://pypi.org/project/mistune) | 0.8.4 | The fastest markdown parser in pure Python
[mizani](https://pypi.org/project/mizani) | 0.7.3 | Scales for Python
[mkl_service](https://pypi.org/project/mkl_service) | 2.3.0 | Python bindings to some MKL service functions
[mlxtend](https://pypi.org/project/mlxtend) | 0.18.0 | Machine Learning Library Extensions
[moviepy](https://pypi.org/project/moviepy) | 1.0.3 | Video editing with Python
[mpl_scatter_density](https://pypi.org/project/mpl_scatter_density) | 0.7 | Matplotlib helpers to make density scatter plots
[mpld3](https://pypi.org/project/mpld3) | 0.5.2 | D3 Viewer for Matplotlib
[mpldatacursor](https://pypi.org/project/mpldatacursor) | 0.7.1 | Interactive data cursors for Matplotlib
[mpmath](https://pypi.org/project/mpmath) | 1.2.1 | Python library for arbitrary-precision floating-point arithmetic
[msgpack](https://pypi.org/project/msgpack) | 1.0.2 | MessagePack (de)serializer.
[msvc_runtime](https://pypi.org/project/msvc_runtime) | 14.28.29910 | Install the Microsoft&#8482; Visual C++&#8482; runtime DLLs to the sys.prefix and Scripts directories
[multidict](https://pypi.org/project/multidict) | 5.1.0 | multidict implementation
[multipledispatch](https://pypi.org/project/multipledispatch) | 0.6.0 | Multiple dispatch
[munch](https://pypi.org/project/munch) | 2.5.0 | A dot-accessible dictionary (a la JavaScript objects)
[mypy](https://pypi.org/project/mypy) | 0.812 | Optional static typing for Python
[mypy_extensions](https://pypi.org/project/mypy_extensions) | 0.4.3 | Experimental type system extensions for programs checked with the mypy typechecker.
[mysql_connector_python](https://pypi.org/project/mysql_connector_python) | 8.0.21 | MySQL driver written in Python
[nbclassic](https://pypi.org/project/nbclassic) | 0.2.7 | Jupyter Notebook as a Jupyter Server Extension.
[nbclient](https://pypi.org/project/nbclient) | 0.5.3 | A client library for executing notebooks. Formally nbconvert's ExecutePreprocessor.
[nbconvert](https://pypi.org/project/nbconvert) | 6.0.7 | Converting Jupyter Notebooks
[nbconvert_reportlab](https://pypi.org/project/nbconvert_reportlab) | 0.2 | Convert notebooks to PDF using Reportlab
[nbdime](https://pypi.org/project/nbdime) | 3.0.0 | Diff and merge of Jupyter Notebooks
[nbformat](https://pypi.org/project/nbformat) | 5.1.3 | The Jupyter Notebook format
[nbval](https://pypi.org/project/nbval) | 0.9.6 | A py.test plugin to validate Jupyter notebooks
[nest_asyncio](https://pypi.org/project/nest_asyncio) | 1.5.1 | Patch asyncio to allow nested event loops
[netcdf4](https://pypi.org/project/netcdf4) | 1.5.6 | Provides an object-oriented python interface to the netCDF version 4 library.
[networkx](https://pypi.org/project/networkx) | 2.5.1 | Python package for creating and manipulating graphs and networks
[nlopt](https://pypi.org/project/nlopt) | 2.7.0 | Library for nonlinear optimization, wrapping many algorithms for global and local, constrained or unconstrained, optimization
[nltk](https://pypi.org/project/nltk) | 3.6.1 | Natural Language Toolkit
[notebook](https://pypi.org/project/notebook) | 6.3.0 | A web-based notebook environment for interactive computing
[numba](https://pypi.org/project/numba) | 0.53.1 | compiling Python code using LLVM
[numcodecs](https://pypi.org/project/numcodecs) | 0.7.3 | A Python package providing buffer compression and transformation codecs for use in data storage and communication applications.
[numdifftools](https://pypi.org/project/numdifftools) | 0.9.39 | Solves automatic numerical differentiation problems in one or more variables.
[numexpr](https://pypi.org/project/numexpr) | 2.7.3 | Fast numerical expression evaluator for NumPy
[numpy](https://pypi.org/project/numpy) | 1.20.2+mkl | NumPy is the fundamental package for array computing with Python.
[numpydoc](https://pypi.org/project/numpydoc) | 1.1.0 | Sphinx extension to support docstrings in Numpy format
[oct2py](https://pypi.org/project/oct2py) | 5.2.0 | Python to GNU Octave bridge --> run m-files from python.
[octave_kernel](https://pypi.org/project/octave_kernel) | 0.32.0 | A Jupyter kernel for Octave.
[onnxruntime](https://pypi.org/project/onnxruntime) | 1.7.0 | ONNX Runtime Python bindings
[openpyxl](https://pypi.org/project/openpyxl) | 3.0.7 | A Python library to read/write Excel 2010 xlsx/xlsm files
[orjson](https://pypi.org/project/orjson) | 3.4.6 | Fast, correct Python JSON library supporting dataclasses, datetimes, and numpy
[osqp](https://pypi.org/project/osqp) | 0.6.2.post0 | OSQP: The Operator Splitting QP Solver
[outcome](https://pypi.org/project/outcome) | 1.1.0 | Capture the outcome of Python function calls.
[packaging](https://pypi.org/project/packaging) | 20.9 | Core utilities for Python packages
[palettable](https://pypi.org/project/palettable) | 3.3.0 | Color palettes for Python
[pandas](https://pypi.org/project/pandas) | 1.2.4 | Powerful data structures for data analysis, time series, and statistics
[pandas_datareader](https://pypi.org/project/pandas_datareader) | 0.9.0 | Data readers extracted from the pandas codebase,should be compatible with recent pandas versions
[pandocfilters](https://pypi.org/project/pandocfilters) | 1.4.3 | Utilities for writing pandoc filters in python
[panel](https://pypi.org/project/panel) | 0.11.3 | A high level app and dashboarding solution for Python.
[papermill](https://pypi.org/project/papermill) | 2.3.3 | Parametrize and run Jupyter and nteract Notebooks
[param](https://pypi.org/project/param) | 1.10.1 | Declarative Python programming using Parameters.
[parambokeh](https://pypi.org/project/parambokeh) | 0.2.3 | ParamBokeh provides an easy way to generate a UI for param based classes in the notebook or on bokeh server.
[paramiko](https://pypi.org/project/paramiko) | 2.7.2 | SSH2 protocol library
[paramnb](https://pypi.org/project/paramnb) | 2.0.4 | Generate ipywidgets from Parameterized objects in the notebook
[parso](https://pypi.org/project/parso) | 0.7.0 | A Python Parser
[partd](https://pypi.org/project/partd) | 1.2.0 | Appendable key-value storage
[pathspec](https://pypi.org/project/pathspec) | 0.8.0 | Utility library for gitignore style pattern matching of file paths.
[patsy](https://pypi.org/project/patsy) | 0.5.1 | A Python package for describing statistical models and for building design matrices.
[pdfrw](https://pypi.org/project/pdfrw) | 0.4 | PDF file reader/writer library
[pdvega](https://pypi.org/project/pdvega) | 0.2.1.dev0 | Pandas plotting interface to Vega and Vega-Lite
[pefile](https://pypi.org/project/pefile) | 2019.4.18 | Python PE parsing module
[pep8](https://pypi.org/project/pep8) | 1.7.1 | Python style guide checker
[pexpect](https://pypi.org/project/pexpect) | 4.8.0 | Pexpect allows easy control of interactive console applications.
[pg8000](https://pypi.org/project/pg8000) | 1.16.5 | PostgreSQL interface library
[pickleshare](https://pypi.org/project/pickleshare) | 0.7.5 | Tiny 'shelve'-like database with concurrency support
[pillow](https://pypi.org/project/pillow) | 8.2.0 | Python Imaging Library (Fork)
[pint](https://pypi.org/project/pint) | 0.17 | Physical quantities module
[pip](https://pypi.org/project/pip) | 21.1.dev0 | The PyPA recommended tool for installing Python packages.
[pipdeptree](https://pypi.org/project/pipdeptree) | 2.0.0 | Command line utility to show dependency tree of packages
[pkginfo](https://pypi.org/project/pkginfo) | 1.7.0 | Query metadatdata from sdists / bdists / installed packages.
[plotly](https://pypi.org/project/plotly) | 4.14.3 | An open-source, interactive graphing library for Python
[plotnine](https://pypi.org/project/plotnine) | 0.8.0 | A grammar of graphics for python
[pluggy](https://pypi.org/project/pluggy) | 0.13.1 | plugin and hook calling mechanisms for python
[ply](https://pypi.org/project/ply) | 3.11 | Python Lex & Yacc
[portpicker](https://pypi.org/project/portpicker) | 1.3.1 | A library to choose unique available network ports.
[poyo](https://pypi.org/project/poyo) | 0.5.0 | A lightweight YAML Parser for Python. &#128019;
[ppci](https://pypi.org/project/ppci) | 0.5.8 | A compiler for ARM, X86, MSP430, xtensa and more implemented in pure Python
[prettytable](https://pypi.org/project/prettytable) | 2.1.0 | A simple Python library for easily displaying tabular data in a visually appealing ASCII table format.
[priority](https://pypi.org/project/priority) | 1.3.0 | A pure-Python implementation of the HTTP/2 priority tree
[proglog](https://pypi.org/project/proglog) | 0.1.9 | Log and progress bar manager for console, notebooks, web...
[prometheus_client](https://pypi.org/project/prometheus_client) | 0.10.1 | Python client for the Prometheus monitoring system.
[prompt_toolkit](https://pypi.org/project/prompt_toolkit) | 3.0.18 | Library for building powerful interactive command lines in Python
[protobuf](https://pypi.org/project/protobuf) | 4.0.0rc1 | Protocol Buffers
[psutil](https://pypi.org/project/psutil) | 5.8.0 | Cross-platform lib for process and system monitoring in Python.
[ptpython](https://pypi.org/project/ptpython) | 3.0.17 | Python REPL build on top of prompt_toolkit
[ptyprocess](https://pypi.org/project/ptyprocess) | 0.7.0 | Run a subprocess in a pseudo terminal
[pulp](https://pypi.org/project/pulp) | 2.3 | PuLP is an LP modeler written in python. PuLP can generate MPS or LP files and call GLPK, COIN CLP/CBC, CPLEX, and GUROBI to solve linear problems.
[py](https://pypi.org/project/py) | 1.10.0 | library with cross-python path, ini-parsing, io, code, log facilities
[pyaml](https://pypi.org/project/pyaml) | 20.4.0 | PyYAML-based module to produce pretty and readable YAML-serialized data
[pyarrow](https://pypi.org/project/pyarrow) | 3.0.0 | Python library for Apache Arrow
[pyaudio](https://pypi.org/project/pyaudio) | 0.2.11 | Bindings for PortAudio v19, the cross-platform audio input/output stream library.
[pybars3](https://pypi.org/project/pybars3) | 0.9.7 | Handlebars.js templating for Python 3 and 2
[pybind11](https://pypi.org/project/pybind11) | 2.6.2 | Seamless operability between C++11 and Python
[pycodestyle](https://pypi.org/project/pycodestyle) | 2.6.0 | Python style guide checker
[pycosat](https://pypi.org/project/pycosat) | 0.6.3 | bindings to picosat (a SAT solver)
[pycparser](https://pypi.org/project/pycparser) | 2.20 | C parser in Python
[pyct](https://pypi.org/project/pyct) | 0.4.8 | python package common tasks for users (e.g. copy examples, fetch data, ...)
[pydantic](https://pypi.org/project/pydantic) | 1.8.1 | Data validation and settings management using python 3.6 type hinting
[pydeck](https://pypi.org/project/pydeck) | 0.6.2 | Widget for deck.gl maps
[pydocstyle](https://pypi.org/project/pydocstyle) | 6.0.0 | Python docstring style checker
[pyepsg](https://pypi.org/project/pyepsg) | 0.4.0 | Easy access to the EPSG database via http epsg.io/
[pyerfa](https://pypi.org/project/pyerfa) | 1.7.2 | Python bindings for ERFA
[pyflakes](https://pypi.org/project/pyflakes) | 2.2.0 | passive checker of Python programs
[pyflux](https://pypi.org/project/pyflux) | 0.4.17 | PyFlux: A time-series analysis library for Python
[pygame](https://pypi.org/project/pygame) | 2.0.1 | Python Game Development
[pygbm](https://pypi.org/project/pygbm) | 0.1.0 | Experimental, numba-based Gradient Boosting Machines
[pygments](https://pypi.org/project/pygments) | 2.8.1 | Pygments is a syntax highlighting package written in Python.
[pyhdf](https://pypi.org/project/pyhdf) | 0.10.2 | pyhdf: Python interface to the NCSA HDF4 library.
[pyinstaller](https://pypi.org/project/pyinstaller) | 4.2 | PyInstaller bundles a Python application and all its dependencies into a single package.
[pyinstaller_hooks_contrib](https://pypi.org/project/pyinstaller_hooks_contrib) | 2021.1 | Community maintained hooks for PyInstaller
[pylint](https://pypi.org/project/pylint) | 2.7.4 | python code static checker
[pyls_black](https://pypi.org/project/pyls_black) | 0.4.6 | Black plugin for the Python Language Server
[pyls_spyder](https://pypi.org/project/pyls_spyder) | 0.3.2 | Spyder extensions for the python-language-server
[pymc](https://pypi.org/project/pymc) | 2.3.8 | Markov Chain Monte Carlo sampling toolkit.
[pymeta3](https://pypi.org/project/pymeta3) | 0.5.1 | Pattern-matching language based on OMeta for Python 3 and 2
[pymongo](https://pypi.org/project/pymongo) | 3.11.3 | Python driver for MongoDB <http www.mongodb.org>
[pynacl](https://pypi.org/project/pynacl) | 1.4.0 | Python binding to the Networking and Cryptography (NaCl) library
[pynndescent](https://pypi.org/project/pynndescent) | 0.5.2 | Nearest Neighbor Descent
[pyodbc](https://pypi.org/project/pyodbc) | 4.0.30 | DB API Module for ODBC
[pyopengl](https://pypi.org/project/pyopengl) | 3.1.5 | Standard OpenGL bindings for Python
[pypandoc](https://pypi.org/project/pypandoc) | 1.5 | Thin wrapper for pandoc.
[pyparsing](https://pypi.org/project/pyparsing) | 2.4.7 | Python parsing module
[pyproj](https://pypi.org/project/pyproj) | 3.0.1 | Python interface to PROJ (cartographic projections and coordinate transformations library)
[pyqt5](https://pypi.org/project/pyqt5) | 5.15.1 | Python bindings for the Qt cross platform application toolkit
[pyqt5_sip](https://pypi.org/project/pyqt5_sip) | 12.8.1 | The sip module support for PyQt5
[pyqt5_tools](https://pypi.org/project/pyqt5_tools) | 5.15.1.1.7.5.post3 | Tools to supplement the official PyQt5 wheels
[pyqtgraph](https://pypi.org/project/pyqtgraph) | 0.12.1 | Scientific Graphics and GUI Library for Python
[pyqtwebengine](https://pypi.org/project/pyqtwebengine) | 5.15.1 | Python bindings for the Qt WebEngine framework
[pyrsistent](https://pypi.org/project/pyrsistent) | 0.17.3 | Persistent/Functional/Immutable data structures
[pyserial](https://pypi.org/project/pyserial) | 3.5 | Python Serial Port Extension
[pyshp](https://pypi.org/project/pyshp) | 2.1.3 | Pure Python read/write support for ESRI Shapefile format
[pysocks](https://pypi.org/project/pysocks) | 1.7.1 | A Python SOCKS client module. See https github.com/Anorov/PySocks for more information.
[pystache](https://pypi.org/project/pystache) | 0.5.4 | Mustache for Python
[pytest](https://pypi.org/project/pytest) | 6.2.3 | pytest: simple powerful testing with Python
[python_baseconv](https://pypi.org/project/python_baseconv) | 1.2.2 | Convert numbers from base 10 integers to base X strings and back again.
[python_dateutil](https://pypi.org/project/python_dateutil) | 2.8.1 | Extensions to the standard Python datetime module
[python_dotenv](https://pypi.org/project/python_dotenv) | 0.17.0 | Add .env support to your django/flask apps in development and deployments
[python_hdf4](https://pypi.org/project/python_hdf4) | 0.10.0+dummy | Python-HDF4: Python interface to the NCSA HDF4 library.
[python_jsonrpc_server](https://pypi.org/project/python_jsonrpc_server) | 0.4.0 | JSON RPC 2.0 server library
[python_language_server](https://pypi.org/project/python_language_server) | 0.36.2 | Python Language Server for the Language Server Protocol
[python_levenshtein](https://pypi.org/project/python_levenshtein) | 0.12.2 | Python extension for computing string edit distances and similarities.
[python_slugify](https://pypi.org/project/python_slugify) | 4.0.1 | A Python Slugify application that handles Unicode
[python_snappy](https://pypi.org/project/python_snappy) | 0.6.0 | Python library for the snappy compression library from Google
[pythonnet](https://pypi.org/project/pythonnet) | 2.5.2 | .Net and Mono integration for Python
[pythonqwt](https://pypi.org/project/pythonqwt) | 0.9.0 | Qt plotting widgets for Python
[pytz](https://pypi.org/project/pytz) | 2021.1 | World timezone definitions, modern and historical
[pyviz_comms](https://pypi.org/project/pyviz_comms) | 2.0.1 | Bidirectional communication for the PyViz ecosystem.
[pywavelets](https://pypi.org/project/pywavelets) | 1.1.1 | PyWavelets, wavelet transform module
[pywin32](https://pypi.org/project/pywin32) | 300 | Python for Window Extensions
[pywin32_ctypes](https://pypi.org/project/pywin32_ctypes) | 0.2.0 | A (partial) reimplementation of pywin32 that is pure python (uses ctypes/cffi)
[pywinpty](https://pypi.org/project/pywinpty) | 0.5.7 | Python bindings for the winpty library
[pywinusb](https://pypi.org/project/pywinusb) | 0.4.2 | A package that simplifies USB/HID communications on windows
[pyyaml](https://pypi.org/project/pyyaml) | 5.4.1 | YAML parser and emitter for Python
[pyzmq](https://pypi.org/project/pyzmq) | 22.0.3 | Python bindings for 0MQ
[pyzo](https://pypi.org/project/pyzo) | 4.11.2 | the Python IDE for scientific computing
[qdarkstyle](https://pypi.org/project/qdarkstyle) | 3.0.2 | The most complete dark stylesheet for Python and Qt applications
[qdldl](https://pypi.org/project/qdldl) | 0.1.5.post0 | QDLDL, a free LDL factorization routine.
[qpsolvers](https://pypi.org/project/qpsolvers) | 1.6.1 | Quadratic programming solvers in Python with a unified API
[qstylizer](https://pypi.org/project/qstylizer) | 0.1.10 | Stylesheet Generator for PyQt{4-5}/PySide{1-2}
[qtawesome](https://pypi.org/project/qtawesome) | 1.0.2 | FontAwesome icons in PyQt and PySide applications
[qtconsole](https://pypi.org/project/qtconsole) | 5.0.3 | Jupyter Qt console
[qtpy](https://pypi.org/project/qtpy) | 1.10.0.dev0 | Provides an abstraction layer on top of the various Qt bindings (PyQt5, PyQt4 and PySide) and additional custom QWidgets.
[quadprog](https://pypi.org/project/quadprog) | 0.1.8 | Quadratic Programming Solver
[quantecon](https://pypi.org/project/quantecon) | 0.4.8 | QuantEcon is a package to support all forms of quantitative economic modelling.
[quart](https://pypi.org/project/quart) | 0.14.1 | A Python ASGI web microframework with the same API as Flask
[rasterio](https://pypi.org/project/rasterio) | 1.2.3 | Fast and direct raster I/O for use with Numpy and SciPy
[readme_renderer](https://pypi.org/project/readme_renderer) | 29.0 | readme_renderer is a library for rendering "readme" descriptions for Warehouse
[redis](https://pypi.org/project/redis) | 3.5.3 | Python client for Redis key-value store
[regex](https://pypi.org/project/regex) | 2021.4.4 | Alternative regular expression module, to replace re.
[reportlab](https://pypi.org/project/reportlab) | 3.5.67 | The Reportlab Toolkit
[requests](https://pypi.org/project/requests) | 2.25.1 | Python HTTP for Humans.
[requests_toolbelt](https://pypi.org/project/requests_toolbelt) | 0.9.1 | A utility belt for advanced users of python-requests
[retrying](https://pypi.org/project/retrying) | 1.3.3 | Retrying
[rfc3986](https://pypi.org/project/rfc3986) | 1.4.0 | Validating URI References per RFC 3986
[rise](https://pypi.org/project/rise) | 5.7.1 | Reveal.js - Jupyter/IPython Slideshow Extension
[rope](https://pypi.org/project/rope) | 0.18.0 | a python refactoring library...
[rpy2](https://pypi.org/project/rpy2) | 3.4.0.dev0 | Python interface to the R language (embedded R)
[rtree](https://pypi.org/project/rtree) | 0.9.7 | R-Tree spatial index for Python GIS
[ruamel.yaml](https://pypi.org/project/ruamel.yaml) | 0.17.4 | a YAML parser/emitter that supports roundtrip preservation of comments, seq/map flow style, and map key order
[ruamel.yaml.clib](https://pypi.org/project/ruamel.yaml.clib) | 0.2.2 | C version of reader, parser and emitter for ruamel.yaml derived from libyaml
[rx](https://pypi.org/project/rx) | 3.1.1 | Reactive Extensions (Rx) for Python
[scikit_fuzzy](https://pypi.org/project/scikit_fuzzy) | 0.4.1 | Fuzzy logic toolkit for SciPy
[scikit_image](https://pypi.org/project/scikit_image) | 0.18.1 | Image processing routines for SciPy
[scikit_learn](https://pypi.org/project/scikit_learn) | 0.24.1 | A set of python modules for machine learning and data mining
[scikit_optimize](https://pypi.org/project/scikit_optimize) | 0.8.1 | Sequential model-based optimization toolbox.
[scilab2py](https://pypi.org/project/scilab2py) | 0.6.2 | Python to Scilab bridge
[scipy](https://pypi.org/project/scipy) | 1.6.2 | SciPy: Scientific Library for Python
[scramp](https://pypi.org/project/scramp) | 1.2.0 | An implementation of the SCRAM protocol.
[scs](https://pypi.org/project/scs) | 2.1.3 | scs: splitting conic solver
[seaborn](https://pypi.org/project/seaborn) | 0.11.1 | seaborn: statistical data visualization
[send2trash](https://pypi.org/project/send2trash) | 1.5.0 | Send file to trash natively under Mac OS X, Windows and Linux.
[setuptools](https://pypi.org/project/setuptools) | 56.0.0 | Easily download, build, install, upgrade, and uninstall Python packages
[shap](https://pypi.org/project/shap) | 0.39.0 | A unified approach to explain the output of any machine learning model.
[shapely](https://pypi.org/project/shapely) | 1.7.1 | Geometric objects, predicates, and operations
[simpervisor](https://pypi.org/project/simpervisor) | 0.4 | Simple async process supervisor
[simplegeneric](https://pypi.org/project/simplegeneric) | 0.8.1 | Simple generic functions (similar to Python's own len(), pickle.dump(), etc.)
[simplejson](https://pypi.org/project/simplejson) | 3.17.2 | Simple, fast, extensible JSON encoder/decoder for Python
[simpy](https://pypi.org/project/simpy) | 4.0.1 | Event discrete, process based simulation for Python.
[six](https://pypi.org/project/six) | 1.15.0 | Python 2 and 3 compatibility utilities
[sklearn_contrib_lightning](https://pypi.org/project/sklearn_contrib_lightning) | 0.6.0 | Large-scale sparse linear classification, regression and ranking in Python
[slicer](https://pypi.org/project/slicer) | 0.0.7 | A small package for big slicing.
[smmap](https://pypi.org/project/smmap) | 4.0.0 | A pure Python implementation of a sliding window memory map manager
[snakeviz](https://pypi.org/project/snakeviz) | 2.1.0 | A web-based viewer for Python profiler output
[sniffio](https://pypi.org/project/sniffio) | 1.2.0 | Sniff out which async library your code is running under
[snowballstemmer](https://pypi.org/project/snowballstemmer) | 2.1.0 | This package provides 26 stemmers for 25 languages generated from Snowball algorithms.
[snuggs](https://pypi.org/project/snuggs) | 1.4.7 | Snuggs are s-expressions for Numpy
[sortedcontainers](https://pypi.org/project/sortedcontainers) | 2.3.0 | Sorted Containers -- Sorted List, Sorted Dict, Sorted Set
[sounddevice](https://pypi.org/project/sounddevice) | 0.4.1 | Play and Record Sound with Python
[soupsieve](https://pypi.org/project/soupsieve) | 2.2.1 | A modern CSS selector implementation for Beautiful Soup.
[sphinx](https://pypi.org/project/sphinx) | 3.5.4 | Tool for generating documentation which uses reStructuredText as its markup language
[sphinx_rtd_theme](https://pypi.org/project/sphinx_rtd_theme) | 0.5.1 | Read the Docs theme for Sphinx
[sphinxcontrib_applehelp](https://pypi.org/project/sphinxcontrib_applehelp) | 1.0.2 | sphinxcontrib-applehelp is a sphinx extension which outputs Apple help books
[sphinxcontrib_devhelp](https://pypi.org/project/sphinxcontrib_devhelp) | 1.0.2 | sphinxcontrib-devhelp is a sphinx extension which outputs Devhelp document.
[sphinxcontrib_htmlhelp](https://pypi.org/project/sphinxcontrib_htmlhelp) | 1.0.3 | sphinxcontrib-htmlhelp is a sphinx extension which renders HTML help files
[sphinxcontrib_jsmath](https://pypi.org/project/sphinxcontrib_jsmath) | 1.0.1 | A sphinx extension which renders display math in HTML via JavaScript
[sphinxcontrib_qthelp](https://pypi.org/project/sphinxcontrib_qthelp) | 1.0.3 | sphinxcontrib-qthelp is a sphinx extension which outputs QtHelp document.
[sphinxcontrib_serializinghtml](https://pypi.org/project/sphinxcontrib_serializinghtml) | 1.1.4 | sphinxcontrib-serializinghtml is a sphinx extension which outputs "serialized" HTML files (json and pickle).
[spyder](https://pypi.org/project/spyder) | 5.0.1 | The Scientific Python Development Environment
[spyder_kernels](https://pypi.org/project/spyder_kernels) | 2.0.1 | Jupyter kernels for Spyder's console
[sqlalchemy](https://pypi.org/project/sqlalchemy) | 1.4.8 | Database Abstraction Library
[sqlite_bro](https://pypi.org/project/sqlite_bro) | 0.9.1 | a graphic SQLite Client in 1 Python file
[sqlparse](https://pypi.org/project/sqlparse) | 0.4.1 | Non-validating SQL parser
[starlette](https://pypi.org/project/starlette) | 0.13.6 | The little ASGI library that shines.
[statsmodels](https://pypi.org/project/statsmodels) | 0.12.2 | Statistical computations and models for Python
[streamz](https://pypi.org/project/streamz) | 0.6.2 | Streams
[supersmoother](https://pypi.org/project/supersmoother) | 0.4 | Python implementation of Friedman's Supersmoother
[sympy](https://pypi.org/project/sympy) | 1.8 | Computer algebra system (CAS) in Python
[tables](https://pypi.org/project/tables) | 3.6.1 | Hierarchical datasets for Python
[tblib](https://pypi.org/project/tblib) | 1.7.0 | Traceback serialization library.
[tenacity](https://pypi.org/project/tenacity) | 7.0.0 | Retry code until it succeeds
[termcolor](https://pypi.org/project/termcolor) | 1.1.0 | ANSII Color formatting for output in terminal.
[terminado](https://pypi.org/project/terminado) | 0.9.3 | Terminals served to xterm.js using Tornado websockets
[testpath](https://pypi.org/project/testpath) | 0.4.4 | Test utilities for code working with files and commands
[text_unidecode](https://pypi.org/project/text_unidecode) | 1.3 | The most basic Text::Unidecode port
[textdistance](https://pypi.org/project/textdistance) | 4.2.1 | Compute distance between the two texts.
[textwrap3](https://pypi.org/project/textwrap3) | 0.9.2 | textwrap from Python 3.6 backport (plus a few tweaks)
[threadpoolctl](https://pypi.org/project/threadpoolctl) | 2.1.0 | threadpoolctl
[three_merge](https://pypi.org/project/three_merge) | 0.1.1 | Simple library for merging two strings with respect to a base one
[thrift](https://pypi.org/project/thrift) | 0.13.0 | Python bindings for the Apache Thrift RPC system
[tifffile](https://pypi.org/project/tifffile) | 2021.4.8 | Read and write TIFF(r) files
[tinycss](https://pypi.org/project/tinycss) | 0.4 | tinycss is a complete yet simple CSS parser for Python.
[toml](https://pypi.org/project/toml) | 0.10.2 | Python Library for Tom's Obvious, Minimal Language
[tomlkit](https://pypi.org/project/tomlkit) | 0.7.0 | Style preserving TOML library
[toolz](https://pypi.org/project/toolz) | 0.11.1 | List processing tools and functional utilities
[torch](https://pypi.org/project/torch) | 1.8.1+cpu | Tensors and Dynamic neural networks in Python with strong GPU acceleration
[torchaudio](https://pypi.org/project/torchaudio) | 0.8.1 | An audio package for PyTorch
[torchvision](https://pypi.org/project/torchvision) | 0.9.1+cpu | image and video datasets and models for torch deep learning
[tornado](https://pypi.org/project/tornado) | 6.1 | Tornado is a Python web framework and asynchronous networking library, originally developed at FriendFeed.
[tqdm](https://pypi.org/project/tqdm) | 4.59.0 | Fast, Extensible Progress Meter
[traitlets](https://pypi.org/project/traitlets) | 5.0.5 | Traitlets Python config system
[traittypes](https://pypi.org/project/traittypes) | 0.2.1 | Scipy trait types
[tranquilizer](https://pypi.org/project/tranquilizer) | 0.5.0+1.gff8dd5f | Put your functions to REST
[trio](https://pypi.org/project/trio) | 0.18.0 | A friendly Python library for async concurrency and I/O
[trio_asyncio](https://pypi.org/project/trio_asyncio) | 0.12.0 | A re-implementation of the asyncio mainloop on top of Trio
[twine](https://pypi.org/project/twine) | 3.4.1 | Collection of utilities for publishing packages on PyPI
[twitter](https://pypi.org/project/twitter) | 1.18.0 | An API and command-line toolset for Twitter (twitter.com)
[typed_ast](https://pypi.org/project/typed_ast) | 1.4.3 | a fork of Python 2 and 3 ast modules with type comment support
[typing_extensions](https://pypi.org/project/typing_extensions) | 3.7.4.3 | Backported and Experimental Type Hints for Python 3.5+
[tzlocal](https://pypi.org/project/tzlocal) | 2.1 | tzinfo object for the local timezone
[ujson](https://pypi.org/project/ujson) | 4.0.2 | Ultra fast JSON encoder and decoder for Python
[umap_learn](https://pypi.org/project/umap_learn) | 0.5.1 | Uniform Manifold Approximation and Projection
[uncertainties](https://pypi.org/project/uncertainties) | 3.1.5 | Transparent calculations with uncertainties on the quantities involved (aka error propagation); fast calculation of derivatives
[urllib3](https://pypi.org/project/urllib3) | 1.26.4 | HTTP library with thread-safe connection pooling, file post, and more.
[uvicorn](https://pypi.org/project/uvicorn) | 0.13.4 | The lightning-fast ASGI server.
[vega](https://pypi.org/project/vega) | 3.4.0 | A Jupyter widget for Vega 5 and Vega-Lite 4
[vega_datasets](https://pypi.org/project/vega_datasets) | 0.9.0 | A Python package for offline access to Vega datasets
[virtualenv](https://pypi.org/project/virtualenv) | 20.4.3 | Virtual Python Environment builder
[vitables](https://pypi.org/project/vitables) | 3.0.2 | A viewer for PyTables package
[voila](https://pypi.org/project/voila) | 0.2.9 | Serving read-only live Jupyter notebooks
[voila_gridstack](https://pypi.org/project/voila_gridstack) | 0.2.0 | A GridStack template for Voila.
[wasmer](https://pypi.org/project/wasmer) | 1.0.0 | Python extension to run WebAssembly binaries
[wasmer_compiler_cranelift](https://pypi.org/project/wasmer_compiler_cranelift) | 1.0.0 | The Cranelift compiler for the `wasmer` package (to compile WebAssembly module)
[wasmer_compiler_singlepass](https://pypi.org/project/wasmer_compiler_singlepass) | 1.0.0 | Python extension to run WebAssembly binaries
[watchdog](https://pypi.org/project/watchdog) | 1.0.2 | Filesystem events monitoring
[wcwidth](https://pypi.org/project/wcwidth) | 0.2.5 | Measures number of Terminal column cells of wide-character codes
[webencodings](https://pypi.org/project/webencodings) | 0.5.1 | Character encoding aliases for legacy web content
[werkzeug](https://pypi.org/project/werkzeug) | 1.0.1 | The comprehensive WSGI web application library.
[wheel](https://pypi.org/project/wheel) | 0.36.2 | A built-package format for Python
[widgetsnbextension](https://pypi.org/project/widgetsnbextension) | 3.5.1 | IPython HTML widgets for Jupyter
[winpython](http://winpython.github.io/) | 4.1.20210417 | WinPython distribution tools, including WPPM
[winrt](https://pypi.org/project/winrt) | 1.0.21033.1 | Access Windows Runtime APIs from Python
[wordcloud](https://pypi.org/project/wordcloud) | 1.8.1 | A little word cloud generator
[wrapt](https://pypi.org/project/wrapt) | 1.12.1 | Module for decorators, wrappers and monkey patching.
[wsproto](https://pypi.org/project/wsproto) | 1.0.0 | WebSockets state-machine based protocol implementation
[xarray](https://pypi.org/project/xarray) | 0.17.0 | N-D labeled arrays and datasets in Python
[xlsxwriter](https://pypi.org/project/xlsxwriter) | 1.3.9 | A Python module for creating Excel XLSX files.
[xlwings](https://pypi.org/project/xlwings) | 0.23.0 | Make Excel fly: Interact with Excel from Python and vice versa.
[yapf](https://pypi.org/project/yapf) | 0.31.0 | A formatter for Python code.
[yarl](https://pypi.org/project/yarl) | 1.6.3 | Yet another URL library
[zarr](https://pypi.org/project/zarr) | 2.7.1 | An implementation of chunked, compressed, N-dimensional arrays for Python.
[zict](https://pypi.org/project/zict) | 2.0.0 | Mutable mapping tools
[zipp](https://pypi.org/project/zipp) | 3.4.1 | Backport of pathlib-compatible object wrapper for zip files
[zstandard](https://pypi.org/project/zstandard) | 0.15.2 | Zstandard bindings for Python